import {HttpClientTestingModule} from "@angular/common/http/testing";
import {
  async,
  ComponentFixture,
  TestBed,
} from "@angular/core/testing";
import {MatSnackBar} from "@angular/material";
import {NoopAnimationsModule} from "@angular/platform-browser/animations";
import {SharedModule} from "@app/shared/shared.module";
import {AppState} from "@app/stores/app.state";
import {AppPersonState} from "@app/stores/person/app-person.state";
import {AppUserState} from "@app/stores/user/app-user.state";
import {
  TranslatePipe,
  TranslateService,
} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";
import {
  ENVIRONMENT,
  SNACK_BAR,
} from "solidify-frontend";
import {environment} from "../../../../environments/environment";
import {MockTranslatePipe} from "../../../../test-helpers/mock-translate.pipe";
import {MockTranslateService} from "../../../../test-helpers/mock-translate.service";

import {FooterPresentational} from "./footer.presentational";

xdescribe("FooterPresentational", () => {
  let component: FooterPresentational;
  let fixture: ComponentFixture<FooterPresentational>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [FooterPresentational],
      imports: [
        HttpClientTestingModule,
        NoopAnimationsModule,
        NgxsModule.forRoot([AppState, AppUserState, AppPersonState]),
        SharedModule,
      ],
      providers: [
        {
          provide: TranslateService,
          useClass: MockTranslateService,
        },
        {
          provide: TranslatePipe,
          useClass: MockTranslatePipe,
        },
        {
          provide: ENVIRONMENT,
          useValue: environment,
        },
        {
          provide: SNACK_BAR,
          useClass: MatSnackBar,
        },
      ],
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(FooterPresentational);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(() => fixture.detectChanges()).not.toThrow();
  });
});
